=== debian/changelog ===
pingus (0.7.2svn3940-maemo2) unstable; urgency=low

  * removed sdl deinitialization (eeek!) to make sound work
  * disabled demo recording

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Sat, 13 Dec 2008 23:50:26 +0200
