=== debian/control ===
Source: pingus
Section: games
Priority: optional
Maintainer: Mikko Vartiainen <mvartiainen@gmail.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
Build-Depends: debhelper (>= 5), quilt, scons,
 libsdl1.2-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev,
 libphysfs-dev, libboost-signals-dev, libxi-dev, libpng12-dev
Standards-Version: 3.7.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/pingus/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/pingus/?op=log
Homepage: http://pingus.seul.org/

Package: pingus
Architecture: any
Section: user/games
Depends: ${shlibs:Depends}, ${misc:Depends}, pingus-data (= ${source:Version}), maemo-select-menu-location
Description: Free Lemmings(TM) clone
 Pingus is a free clone of the popular Lemmings game.
 .
 Your goal is to guide a horde of penguins through a world full of obstacles
 and penguin traps to safety. Although penguins (unlike lemmings) are rather
 smart, they sometimes lack the necessary overview and now rely on you to
 save them.
 .
 This package contains the main program.
XB-Maemo-Display-Name: Pingus
XB-Maemo-Icon-26:
 LyogWFBNICovCnN0YXRpYyBjaGFyICpkdW1teVtdPXsKIjMyIDMyIDcyIDIi
 LAoiUXQgYyBOb25lIiwKIi5lIGMgIzAyMDIwNCIsCiIuYiBjICMwOTBiMGIi
 LAoiLkcgYyAjMGIxMjE0IiwKIi5kIGMgIzEyMTIxMyIsCiIuYSBjICMxNzE3
 MTYiLAoiLiMgYyAjMTkxOTFhIiwKIi5pIGMgIzFjMjAyMSIsCiIuTyBjICMx
 ZTFlMWUiLAoiLmYgYyAjMjcyNjI1IiwKIi5JIGMgIzI3MjcyNyIsCiIuWiBj
 ICMyYTFhMDYiLAoiLmMgYyAjMmIyZTJlIiwKIi56IGMgIzJjMmMyZSIsCiIu
 bCBjICMzNzM2MzciLAoiLmogYyAjMzkzOTNiIiwKIi5EIGMgIzM5MzkzYyIs
 CiIuSCBjICMzYzNjM2MiLAoiLkYgYyAjNDE0MTQxIiwKIi5UIGMgIzRmNGY0
 ZiIsCiIueSBjICM1YTQyMGUiLAoiLlAgYyAjNWE1YTVhIiwKIi5KIGMgIzVh
 NjI1ZSIsCiIuQyBjICM1ZTVhNjIiLAoiLjUgYyAjNjIzNjA2IiwKIi5FIGMg
 IzY1NjU2OCIsCiIuVyBjICM2ZTZlNmUiLAoiLjEgYyAjNzI0MjA2IiwKIi5r
 IGMgIzcyNWEzNiIsCiIuTiBjICM3YTdhN2UiLAoiLmggYyAjODk4Nzg2IiwK
 Ii4wIGMgIzhlNTYwNiIsCiIuWSBjICM5MjkyOTYiLAoiLjYgYyAjOTY3MjU2
 IiwKIi5VIGMgIzk2OTY5NiIsCiIjLiBjICM5ZTAyMDIiLAoiLlggYyAjOWU2
 ZTFlIiwKIi5WIGMgI2E2OWU5NiIsCiIuUiBjICNhYWFhYWUiLAoiI2MgYyAj
 YmEwMjAyIiwKIi5LIGMgI2JhYmFiZSIsCiIjYiBjICNjNDBhMGEiLAoiIyMg
 YyAjYzUwMzAzIiwKIi5MIGMgI2NhY2FjZSIsCiIjZSBjICNjZTEwMTAiLAoi
 I2YgYyAjY2UxNjE2IiwKIi44IGMgI2QyM2EzYSIsCiIuMiBjICNkMjc2MDYi
 LAoiLjcgYyAjZGE1MjUyIiwKIi5tIGMgI2RhNjIwYSIsCiIuTSBjICNkYWRh
 ZGUiLAoiLkIgYyAjZTJiMjZlIiwKIi5xIGMgI2U2ZDJhMiIsCiIjZCBjICNl
 YTFmMWYiLAoiLlMgYyAjZWFlYWVlIiwKIi5wIGMgI2YzZDY5NiIsCiIuUSBj
 ICNmNmY2ZjYiLAoiLmcgYyAjZjZmZWZlIiwKIi5uIGMgI2Y5ODkxMSIsCiIu
 ciBjICNmZTcyMDYiLAoiLjQgYyAjZmU5NjA2IiwKIi5zIGMgI2ZlOWEzNiIs
 CiIudCBjICNmZWExM2UiLAoiLkEgYyAjZmVhNjQ2IiwKIi45IGMgI2ZlYWEw
 NiIsCiIueCBjICNmZWFhMjYiLAoiI2EgYyAjZmViNjA2IiwKIi51IGMgI2Zl
 YzY3ZSIsCiIuMyBjICNmZWNhNGUiLAoiLncgYyAjZmVkZTg2IiwKIi52IGMg
 I2ZlZTZhZSIsCiIubyBjICNmZWVlYmUiLAoiUXRRdFF0UXRRdFF0UXRRdFF0
 UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRR
 dCIsCiJRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0LiMuYS5hLmEuI1F0
 UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0IiwKIlF0UXRRdFF0UXRRdFF0UXRR
 dFF0UXRRdFF0LiMuYS5iLmEuYS5jLmRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0
 UXQiLAoiUXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0LmUuZS5lLmUuZS5lLmEu
 YVF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdCIsCiJRdFF0UXRRdFF0UXRRdFF0
 UXRRdFF0UXRRdC5mLmIuZy5oLmkuYS5hLmpRdFF0UXRRdC5lLmVRdFF0UXRR
 dFF0IiwKIlF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdC5lLmMuay5sLmguZy5s
 LmEuYVF0UXRRdC5lLmUuZVF0UXRRdFF0UXQiLAoiUXRRdFF0UXRRdFF0UXRR
 dFF0UXRRdC5tLm4uby5wLnAucC5xLmEuYy5hUXRRdFF0LmUuZS5lUXRRdFF0
 UXRRdCIsCiJRdFF0UXRRdFF0UXRRdFF0LnIucy50LnQudS5wLnYudy53Lngu
 eS5hLmxRdFF0LnouZS5lLmVRdFF0UXRRdFF0IiwKIlF0UXRRdFF0UXRRdFF0
 UXQubS50LnQucy50LnQudC5BLkEuQi5rLmEuQy5EUXQuZS5lLmUuZVF0UXRR
 dFF0UXQiLAoiUXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0LmEuYS5hLmEuYS5h
 LmEuYS5lLkUuai5lLmUuZS5lUXRRdFF0UXRRdCIsCiJRdFF0UXRRdFF0LkYu
 Zi5lLmUuZS5lLmYuZi5mLmYuZi5mLmYuZi5mLmUuZS5iLmUuZS5lLmVRdFF0
 UXRRdFF0IiwKIlF0UXRRdC5GLmwuZS5lLmUuZS5lLmUuYi5lLkcuaS5jLkcu
 ZS5lLmUuaS5lLmUuZS5lLmVRdFF0UXRRdFF0UXQiLAoiUXRRdC5ILmUuZS5l
 LmkuSS5lLmUuZS5iLkouSy5MLk0uSy5OLmMuZS5sLmMuYS5lLmUuZVF0UXRR
 dFF0UXRRdCIsCiJRdFF0LmUuZS5JLk9RdFF0LkcuZS5lLlAuTS5nLmcuZy5n
 LlEuSy5KLmwubC5jLmUuZVF0UXRRdFF0UXRRdFF0IiwKIlF0UXRRdFF0UXRR
 dFF0LiMuYS5HLmMuUi5TLmcuZy5nLmcuZy5nLkwuVC5sLmwuZS5lUXRRdFF0
 UXRRdFF0UXQiLAoiUXRRdFF0UXRRdFF0UXQubC5hLmUuVC5LLlMuZy5nLmcu
 Zy5nLmcuZy5SLmkubC5lUXRRdFF0UXRRdFF0UXRRdCIsCiJRdFF0UXRRdFF0
 UXRRdC5sLmIuZS5FLksuUy5nLmcuZy5nLmcuZy5nLk0uVC5hLmxRdFF0UXRR
 dFF0UXRRdFF0IiwKIlF0UXRRdFF0UXRRdFF0LmwuZS5hLlUuSy5TLmcuZy5n
 LmcuZy5nLmcuZy5FLmUubFF0UXRRdFF0UXRRdFF0UXQiLAoiUXRRdFF0UXRR
 dFF0UXQuYy5lLmwuUi5LLk0uUS5nLmcuZy5nLmcuZy5nLk4uZS5jUXRRdFF0
 UXRRdFF0UXRRdCIsCiJRdFF0UXRRdFF0UXRRdC5qLmUuVC5WLlIuTC5TLlEu
 Zy5nLmcuZy5nLmcuTi5lLmpRdFF0UXRRdFF0UXRRdFF0IiwKIlF0UXRRdFF0
 UXRRdFF0UXQuZS5sLlYuUi5LLkwuTS5TLlMuUy5nLlEuUy5XLmVRdFF0UXRR
 dFF0UXRRdFF0UXQiLAoiUXRRdFF0UXRRdFF0UXRRdC5jLmIuTi5SLlIuSy5M
 LkwuTS5NLk0uUy5MLmMuZlF0UXRRdFF0UXRRdFF0UXRRdCIsCiJRdFF0UXRR
 dFF0UXRRdFF0LlguZS5jLlkuWS5SLlIuSy5LLksuSy5SLlAuWlF0UXRRdFF0
 UXRRdFF0UXRRdFF0IiwKIlF0UXRRdFF0UXRRdFF0UXQueC4wLmIuaS5ULkUu
 Ti5OLk4uTi5QLmMuMS4yUXRRdFF0UXRRdFF0UXRRdFF0UXQiLAoiUXRRdFF0
 UXRRdFF0UXRRdC4zLjQuMi4wLjEuNS5QLlYuNi4xLjUuMC40LjRRdFF0UXRR
 dFF0UXRRdFF0UXRRdCIsCiJRdFF0LjcuOC44LjguOC44LjIuOS40LjQuNC5u
 Iy4uOCMuLm4uOS45LjkueC4yLjguOC44LjguOFF0UXRRdFF0IiwKIlF0Ljcj
 IyMjIyMjIyMjIyMuOS45LjkuOS40Iy4jIyMjIy4uOSNhI2EuOS45LjkjIyMj
 IyMjIyMjLjdRdFF0UXQiLAoiUXQjYiMjI2MjLiMuIy4jLiMuIy4jLiMuIy4j
 LiMuIy4jLiMuIy4jLiMuIy4jLiMuIy4jLiMuIy4jLi43UXRRdCIsCiJRdFF0
 I2QjZCNlI2MjYyNiI2IjYyNiI2YjZiNmI2YjZiNmI2YjZiNmI2YjZiNjI2Mj
 YyNiI2MjYyNmI2QuN1F0IiwKIlF0UXRRdFF0UXQuZS5HLkouVC5lUXRRdFF0
 UXRRdFF0UXRRdFF0UXRRdFF0LkcuZS5QLkMuYS5sUXRRdFF0UXQiLAoiUXRR
 dFF0UXRRdFF0LmUuYS5lUXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdC5i
 LmIuYi5jUXRRdFF0UXRRdCIsCiJRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRR
 dFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0In07Cg==
 ====



Package: pingus-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, maemo-installer-utils
Recommends: pingus
Description: Data files for pingus, a free Lemmings(TM) clone
 Pingus is a free clone of the popular Lemmings game.
 .
 Your goal is to guide a horde of penguins through a world full of obstacles
 and penguin traps to safety. Although penguins (unlike lemmings) are rather
 smart, they sometimes lack the necessary overview and now rely on you to
 save them.
 .
 This package contains the data files.
