## pingus 0.7.2-4ubuild1

=== debian/changelog ===
pingus (0.7.2-4ubuild1) lucid; urgency=low

  * Rebuild to pick up new libboost-signals version.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 22 Jan 2010 16:36:48 +0100

pingus (0.7.2-4) unstable; urgency=low

  [ Barry deFreese ]
  * 40_fix_FTBFS_with_gcc-4.4 - Build with gcc-4.4. (Closes: #525741).
    + Thanks to Martin Michlmayr for the fix!.
  * 50_boost_signals_mt - Use multi-threaded boost. (Closes: #530474).
  * 60_bashisms - Replace echo -e with printf. (Closes: #530162).
  * Minor debian/copyright syntax clean-up.
  * Bump Standards Version to 3.8.1.

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 28 May 2009 23:07:47 +0200

pingus (0.7.2-3) unstable; urgency=low

  [ Peter De Wachter ]
  * Fix watch file.

  [ Cyril Brulebois ]
  * Fix patch name:
     - Rename 10_fix_data_directory into 10_fix_data_directory.
  * Update translation:
     - Dutch, thanks to Bas Wijnen (Closes: #493584).
        + Add patch: 30_update_nl_translation
     - Spanish, thanks to Javier Fernández-Sanguino Peña (Closes: #482121).
        + Add patch: 30_update_es_translation
  * Clean up debian/rules:
     - No need to define CFLAGS, dpkg-buildpackage does it…
     - Use dpatch.make include, and tweak targets accordingly.
  * Make it possible to resume an interrupted build: use “scons configure”
    in configure, and “scons” in build.
  * Update my mail address.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 25 Mar 2009 13:55:25 +0100
