## pingus 0.7.2-5maemo1

=== debian/changelog ===
pingus (0.7.2-5maemo1) unstable; urgency=low

  * Some packaging bugs fixed

 -- Mikko Koskenranta <mikko.koskenranta@hotmail.com>  Tue, 18 Jan 2011 16:00:48 +0200
