=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Homepage: http://pingus.seul.org/
 
 Package: pingus
+Section: user/games
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, pingus-data (= ${source:Version})
 Description: Free Lemmings(TM) clone
