## pingus 0.7.2-6

=== debian/changelog ===
pingus (0.7.2-6) unstable; urgency=low

  * Hopefully fixed the save game problem, thanks to n900-dk

 -- Mikko Koskenranta <mikko.koskenranta@hotmail.com>  Fri, 21 Jan 2011 16:57:34 +0200
