## pingus 0.7.2-7

=== debian/changelog ===
pingus (0.7.2-7) unstable; urgency=low

  * Added a bugtracher link

 -- Mikko Koskenranta <mikko.koskenranta@hotmail.com>  Fri, 21 Jan 2011 18:12:38 +0200
