## pingus 0.7.2-8

=== debian/changelog ===
pingus (0.7.2-8) unstable; urgency=low

  * Optified the package better

 -- Mikko Koskenranta <mikko.koskenranta@hotmail.com>  Fri, 15 Jul 2011 18:35:47 +0200
