=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Standards-Version: 3.8.1
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/pingus/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/pingus/?op=log
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=68527
 Homepage: http://pingus.seul.org/
 
 Package: pingus
