## pingus 0.7.2-9

=== debian/changelog ===
pingus (0.7.2-9) unstable; urgency=low

  * Fixed the game not launching

 -- Mikko Koskenranta <mikko.koskenranta@hotmail.com>  Sun, 17 Jul 2011 17:44:21 +0200
