=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 configure-stamp: $(QUILT_STAMPFN)
 	dh_testdir
 	cat debian/options.cache | sed -e 's/:CFLAGS:/$(CFLAGS)/g' > options.cache
-	scons configure prefix=/usr resources_dir=/usr/share/games/pingus lib_dir=$(CURDIR)
+	scons configure prefix=/opt resources_dir=/opt/usr/share/games/pingus lib_dir=$(CURDIR)
 	touch $@
 
 build: build-stamp
@@ -48,7 +48,7 @@
 	dh_installchangelogs -i ChangeLog
 	dh_installdocs -i --exclude=pingus.6
 
-	mkdir -p "$(CURDIR)/debian/pingus-data/usr/share/games/pingus/"
+	mkdir -p "$(CURDIR)/debian/pingus-data/opt/usr/share/games/pingus/"
 	find data/ \
 		-type f -a  \( \
 		-name "*.png" -o \
@@ -64,7 +64,7 @@
 		-name "*.res" -o \
 		-name "*.pingus" -o \
 		-name "*.levelset" \
-		\) -exec cp --parents -v {} "$(CURDIR)/debian/pingus-data/usr/share/games/pingus/" \;
+		\) -exec cp --parents -v {} "$(CURDIR)/debian/pingus-data/opt/usr/share/games/pingus/" \;
 
 	dh_install -i
 	dh_compress -i
