=== debian/changelog ===
pingus (0.7.3-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Refresh patches.
  * Disable 20_fix_FTBFS_with_gcc-4.3, seems included.
  * Remove 40_fix_FTBFS_with_gcc-4.4, unnecessary.
  * Bump Standards Version to 3.9.2.
  * update patches/60_bashisms to avoid echo -e (Closes: #535879).
  * Patch french translation (Closes: #563395) thanks to 
    Tanguy Ortolo.
  * Added myself to the Uploaders.
  * Adjust lintian override "missing-dep-for-interpreter guile" since 
    lintian change its error message.
  * debian/rules: fix FTBS on kfreebsd.
  * Fix German translation (Closes: #612453). Thanks to Helge Kreutzmann.

 -- Bertrand Marc <beberking@gmail.com>  Sat, 25 Jun 2011 18:02:06 +0200
