=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: pingus
 Section: games
 Priority: optional
-Maintainer: Mikko Koskenranta <mikko.koskenranta@hotmail.com>
-Uploaders: Mikko Koskenranta <mikko.koskenranta@hotmail.com>
-Build-Depends: debhelper (>= 5), quilt, scons,
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Cyril Brulebois <kibi@debian.org>,
+ Bertrand Marc <beberking@gmail.com>
+Build-Depends: debhelper (>= 5), scons,
  libsdl1.2-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev,
- libphysfs-dev, libboost-signals1.42-dev, libxi-dev, libpng12-dev
-Standards-Version: 3.8.1
+ libphysfs-dev, libboost-signals-dev, libxi-dev
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/pingus/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/pingus/?op=log
-XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=68527
 Homepage: http://pingus.seul.org/
 
 Package: pingus
-Section: user/games
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, pingus-data (= ${source:Version})
 Description: Free Lemmings(TM) clone
