=== debian/rules ===
--- 
+++ 
@@ -3,22 +3,27 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/quilt/quilt.make
+DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
+ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
+    SCONS_OPTS:=with_linuxevdev=no with_linuxusbmouse=no
+endif
 
 configure: configure-stamp
-configure-stamp: $(QUILT_STAMPFN)
+configure-stamp:
 	dh_testdir
 	cat debian/options.cache | sed -e 's/:CFLAGS:/$(CFLAGS)/g' > options.cache
-	scons configure prefix=/opt resources_dir=/opt/usr/share/games/pingus lib_dir=$(CURDIR)
+	scons configure $(SCONS_OPTS) prefix=/usr resources_dir=/usr/share/games/pingus lib_dir=$(CURDIR)
 	touch $@
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
 	scons
 	touch $@
 
-clean: clean-patched unpatch
+clean: clean-patched
 	dh_testdir
 	dh_testroot
 	dh_clean
@@ -48,7 +53,7 @@
 	dh_installchangelogs -i ChangeLog
 	dh_installdocs -i --exclude=pingus.6
 
-	mkdir -p "$(CURDIR)/debian/pingus-data/opt/usr/share/games/pingus/"
+	mkdir -p "$(CURDIR)/debian/pingus-data/usr/share/games/pingus/"
 	find data/ \
 		-type f -a  \( \
 		-name "*.png" -o \
@@ -64,7 +69,7 @@
 		-name "*.res" -o \
 		-name "*.pingus" -o \
 		-name "*.levelset" \
-		\) -exec cp --parents -v {} "$(CURDIR)/debian/pingus-data/opt/usr/share/games/pingus/" \;
+		\) -exec cp --parents -v {} "$(CURDIR)/debian/pingus-data/usr/share/games/pingus/" \;
 
 	dh_install -i
 	dh_compress -i
