=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

ftp://pingus.seul.org/pub/pingus/pingus-([\d.]+)\.tar\.bz2
