## pingus 0.7.5

=== debian/changelog ===
pingus (0.7.5-1) unstable; urgency=low

  * New upstream release (Closes: #633384, #493021).
  * Remove debian/patches/*: included or not necessary any more.
  * No more configure target.
  * debian/rules: Changelog is called NEWS.
  * Use new bin and data organisation in debian/rules and install file.
  * debian/rules: 
    + add build-arch and build-indep targets to make lintian
      happy.
    + update clean target from upstream Makefile.
  * Update debian/watch, thanks to Patrice Duroux (Closes: #647141).
  * debian/control: update Vcs-browser url, thanks to Patrice Duroux.
  * pingus.desktop: add german generic name, thanks to Ronny Standtke
    (Closes: #641825).

 -- Bertrand Marc <beberking@gmail.com>  Tue, 01 Nov 2011 15:31:06 +0100
